<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<title>Layout a tre colonne con float</title>
<meta http-equiv="content-type" content="text/html; charset=iso-8859-1">
<meta name="generator" content="HAPedit 3.0">
<?php
$stileassociato=false;
if(isset($_GET["stile"]) && file_exists($_GET["stile"].".css")){
    $stileassociato=true;
?>
<style type="text/css">
@import url("<?print($_GET["stile"])?>.css");
a#viewcss{color: #00f;font-weight: bold}
</style>

<?php
    }
$lunga="centrale"; //variabile per la colonna + lunga
if(isset($_GET['longest']))
    $lunga=$_GET['longest'];
?>
</head>
<body>
<div id="container">
    <div id="header">
        <h1>Html.it</h1>
    </div>
    <div id="navigation">
        <ul>
            <li><a id="activelink" href="#">Home</a></li>
            <li><a href="#">Pillole</a></li>
            <li><a href="#">Contenuti</a></li>
            <li><a href="#">Grafica</a></li>
            <li><a href="#">Linguaggi</a></li>
            <li><a href="#">Webdesign</a></li>
            <li><a href="#">Software</a></li>
            <?php
            if($lunga=="nav")
            for($i=0;$i<=15;$i++){?>
                <li><a href="#">Altro link</a></li>
                <?php } ?>
        </ul>
    </div>
    <div id="extra">
        <div class="newsbox">
            <h2>Larghezza delle colonne</h2>
            <p>La tendenza  avere le due colonne laterali a larghezza fissa e la colonna centrale fluida [...]</p>
        </div>
        <div class="newsbox">
            <h2>Largezza totale</h2>
            <p>Un layout a tre colonne si presenta generalmente fluido a larghezza totale,
            e cio occupa in ampiezza tutta la larghezza della finestra del browser [...]</p>
        </div>
        <?php
            if($lunga=="extra")
                for($i=0;$i<=4;$i++){?>
            <div class="newsbox">
                <h2>Altra news</h2>
                <p>oppure sondaggi, banner, link eccetera...</p>
            </div>
        <?php } ?>
    </div>
    <div id="content">
        <h2>Layout a tre colonne - versione con i float</h2>
        <p>Il layout a tre colonne  uno dei pi diffusi e permette di gestire siti di dimensioni medio-alte,
        fino ad arrivare ai portali. Si compone delle seguenti sezioni fondamentali:
        header, navigazione, contenuti, sezione extra e footer.</p>
        <p>In quanto alla non meglio specificabile sezione extra questa pu contenere, come abbiamo visto nell' introduzione,
        svariate funzionalit del sito: news, sondaggi, banner, navigazione supplementare e quant'altro: dovrebbe comunque
        essere facilmente consultabile, non troppo scarna, n troppo densa. Questo tipo di layout, proprio per la presenza
        di una sezione logica (e fisica) aggiuntiva  indicatissimo per impaginare siti dinamici attraverso linguaggi lato
        server quali php o asp e comunque siti con molti contenuti e/o aggiornamenti frequenti.</p>
        <p>Resta l' idea che la sezione dei contenuti dovrebbe essere la pi corposa, e quindi la colonna centrale
        la pi lunga. Come per il layout a due colonne, la versione a tre colonne con i float rispetto all' analogo con posizionamenti
        ha il pregio di non imporre vincoli sulla lunghezza relativa delle colonne.
        D' altra parte vincola l' ordine di codifica dell' html.<br>
        <?php
            if($stileassociato==true)
                print("<a id=\"viewcss\" href=\"viewcss.php?css=".$_GET["stile"]."\">visualizza il css di questo layout</a>");
        ?></p>
    </div>
    <div id="footer"> 1997-2004 - Grafica, layout e guide sono di esclusiva propriet di <a href="http://HTML.it">HTML.it</a> s.r.l.<br>
    Note e informazioni legali</div>
</div>
</body>
</html>